| Bsoft 1.9 Bernard's software package

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Functions
gzwrite.c File Reference
`#include "gzguts.h"`

Go to the source code of this file.

## Functions
local int gz_init | OF ((gz_statep))
local int gz_comp | OF ((gz_statep, int))
local int gz_zero | OF ((gz_statep, z_off64_t))
local int | gz_init (gz_statep state)
local int | gz_comp (gz_statep state, int flush)
local int | gz_zero (gz_statep state, z_off64_t len)
int ZEXPORT | gzwrite (gzFile file, voidpc buf, unsigned len)
int ZEXPORT | gzputc (gzFile file, int c)
int ZEXPORT | gzputs (gzFile file, const char *str)
int ZEXPORTVA | gzprintf (gzFile file, const char *format, int a1, int a2, int a3, int a4, int a5, int a6, int a7, int a8, int a9, int a10, int a11, int a12, int a13, int a14, int a15, int a16, int a17, int a18, int a19, int a20)
int ZEXPORT | gzflush (gzFile file, int flush)
int ZEXPORT | gzsetparams (gzFile file, int level, int strategy)
int ZEXPORT | gzclose_w (gzFile file)

## Function Documentation

local int gz_comp | ( | gz_statep | state,
|  | int | flush
| ) |  |

Definition at line 59 of file gzwrite.c.

local int gz_init | ( | gz_statep | state | ) |

Definition at line 15 of file gzwrite.c.

local int gz_zero | ( | gz_statep | state,
|  | z_off64_t | len
| ) |  |

Definition at line 111 of file gzwrite.c.

int ZEXPORT gzclose_w | ( | gzFile | file | ) |

Definition at line 500 of file gzwrite.c.

int ZEXPORT gzflush | ( | gzFile | file,
|  | int | flush
| ) |  |

Definition at line 426 of file gzwrite.c.

int ZEXPORTVA gzprintf | ( | gzFile | file,
|  | const char * | format,
|  | int | a1,
|  | int | a2,
|  | int | a3,
|  | int | a4,
|  | int | a5,
|  | int | a6,
|  | int | a7,
|  | int | a8,
|  | int | a9,
|  | int | a10,
|  | int | a11,
|  | int | a12,
|  | int | a13,
|  | int | a14,
|  | int | a15,
|  | int | a16,
|  | int | a17,
|  | int | a18,
|  | int | a19,
|  | int | a20
| ) |  |

Definition at line 352 of file gzwrite.c.

int ZEXPORT gzputc | ( | gzFile | file,
|  | int | c
| ) |  |

Definition at line 221 of file gzwrite.c.

int ZEXPORT gzputs | ( | gzFile | file,
|  | const char * | str
| ) |  |

Definition at line 264 of file gzwrite.c.

int ZEXPORT gzsetparams | ( | gzFile | file,
|  | int | level,
|  | int | strategy
| ) |  |

Definition at line 458 of file gzwrite.c.

int ZEXPORT gzwrite | ( | gzFile | file,
|  | voidpc | buf,
|  | unsigned | len
| ) |  |

Definition at line 143 of file gzwrite.c.

local int gz_init OF | ( | (gz_statep) |  | ) |

local int gz_comp OF | ( | (gz_statep, int) |  | ) |

local int gz_zero OF | ( | (gz_statep, z_off64_t) |  | ) |